using System;

public class StringBuilderExample {

    public static string ReverseString(string str) {
            
        // Sicherstellen, dass der String umkehrbar ist
        if (str == null || str.Length == 1) {        
            return str;
        }
            
        // StringBuilder-Objekt mit ausreichender Kapazitt erstellen
        System.Text.StringBuilder revStr = 
            new System.Text.StringBuilder(str.Length);

        // Den Eingabestring Zeichen fr Zeichen rckwrts durchlaufen, 
        // und jedes Zeichen an den StringBuilder anfgen
        for (int count = str.Length-1; count > -1; count--) {           
            revStr.Append(str[count]);
        }

        // Den fertig umkehrten String zurckgeben
        return revStr.ToString();
    }

    public static void Main(string[] args) {

        foreach (string s in args) {

            Console.WriteLine(ReverseString(s));
        }

		// Auf Tastendruck warten...
		Console.ReadLine();
    }
}
