using System;
using System.Text.RegularExpressions;

public class RegularExpressionExample
{

    public static bool ValidateInput(string regex, string input) {

        // Erzeugen eines neuen Regex-Objektes basierend
        // auf dem angegebenen regulren Ausdruck
        Regex r = new Regex(regex);

        // Testen, ob der regulre Ausdruck zu der spezifizierten Eingabe passt
        return r.IsMatch(input);
    }

    public static void Main(string[] args) {

        // Testen einer Befehlszeileneingabe. Das erste Argument ist
        // der regulre Ausdruck, und das zweite ist die Eingabe
        Console.WriteLine("Regulrer Ausdruck: {0}", args[0]);
        Console.WriteLine("Eingabe: {0}", args[1]); 
        Console.WriteLine("Zulssig = {0}", ValidateInput(args[0], args[1]));

		// Auf Tastendruck warten...
		Console.Read();
    }
}
