using System;

public class DateTimeExample
{
	public static void Main() {

        // Erstellen eines TimeSpan-Objektes, das 2,5 Tage darstellt
        TimeSpan timespan1 = new TimeSpan(2,12,0,0);

        // Erstellen eines TimeSpan-Objektes, das 4,5 Tage darstellt
        TimeSpan timespan2 = new TimeSpan(4,12,0,0);

        // Erstellen eines TimeSpan-Objektes, das eine Woche darstellt
        TimeSpan oneWeek = timespan1 + timespan2;

        // Erstellen eines DateDime-Objektes mit dem aktuellen Datum 
        // und mit der aktuellen Zeit
        DateTime now = DateTime.Now;

        // Erstellen eines DateTime-Objektes, das den Zeitpunkt 
        // heute vor einer Woche darstellt
        DateTime past = now - oneWeek;

        // Erstellen eines DateTime-Objektes, das den Zeitpunkt 
        // heute in einer Woche darstellt
        DateTime future = now + oneWeek;

        // Anzeigen der DateTime-Instanzen
        Console.WriteLine("Jetzt  : {0}", now);
        Console.WriteLine("Vorher : {0}", past);
        Console.WriteLine("Spter : {0}", future);

		// Auf Tastendruck warten...
		Console.ReadLine();
	}
}
