using System.Collections;

public class ConvertToArrayExample {

    public static void Main() {

        // Erstellen einer Array-Liste, die mit Daten gefllt wird
        ArrayList list = new ArrayList(5);
        list.Add("Brenda");
        list.Add("George");
        list.Add("Justin");
        list.Add("Shaun");
        list.Add("Meaghan");

        // Erstellen des Arrays string[] und Verwenden der Methode 
        // ICollection.CopyTo, um den Inhalt der Array-Liste dorthin zu kopieren
        string[] array1 = new string[5];
        list.CopyTo(array1,0);        

        // Einsatz von ArrayList.ToArray fr die Erstellung des
        // stark typisierten Arrays string[] aus den Komponenten der Auflistung
        object[] array2 = list.ToArray();

        // Einsatz von ArrayList.ToArray fr die Erstellung des
        // stark typisierten Arrays string[] aus den Komponenten der Auflistung
        string[] array3 = 
            (string[])list.ToArray(System.Type.GetType("System.String"));

        // Anzeigen der Inhalte der drei Arrays
        foreach (string s in array1) { System.Console.WriteLine(s);}
        foreach (string s in array2) { System.Console.WriteLine(s);}
        foreach (string s in array3) { System.Console.WriteLine(s);}

		// Auf Tastendruck warten...
		System.Console.ReadLine();
    }
}
