using System;

class AppDomainBeispiel {

    public static void Main() {        

        // Instanziieren eines AppDomainSetup-Objekts.
        AppDomainSetup setupInfo = new AppDomainSetup();

        // Konfiguration der Setup-Informationen der Anwendungsdomne.
        setupInfo.ApplicationBase = @"C:\MeinHauptverzeichnis";
        setupInfo.ConfigurationFile = "MeineAnw.config";
        setupInfo.PrivateBinPath = "bin;plugins;external";

		// Erstellen einer neuen Anwendungsdomne mit null als Beweisargument.
		// Denken Sie daran, einen Verweis auf die neue AppDomain zu speichern,
		// da auf diese nicht anders zugegriffen werden kann.
		AppDomain neueDomain = AppDomain.CreateDomain(
            "Meine neue AppDomain",
            new System.Security.Policy.Evidence(),
            setupInfo);

        // Auf Tastendruck warten
        Console.ReadLine();
    }
}

