using System;
using System.Reflection;
using System.Collections;

public class ListModifier {

    public ListModifier () {

        // Die Liste aus dem Datencache abrufen.
        ArrayList list = 
            (ArrayList)AppDomain.CurrentDomain.GetData("Haustiere");
        // Die Liste modifizieren. 
        list.Add("Schildkrte");
    }
}

public class DatenAustauschBeispiel {

    public static void Main() {

        // Erstellen einer neuen Anwendungsdomne.
        AppDomain domain = AppDomain.CreateDomain("Test");

        // Erstellen einer ArrayList und Auffllen mit Informationen.
        ArrayList list = new ArrayList();
        list.Add("Hund");
        list.Add("Katze");
        list.Add("Fisch");

        // Platzieren der Liste im Datencache der neuen Anwendungsdomne.
        domain.SetData("Haustiere", list);

        // Instanziieren eines ListModifiers in der neuen Anwendungsdomne.
        domain.CreateInstance("Rezept03-08", "ListModifier");

        // Abrufen der Liste und Ausgabe ihres Inhalts.
        foreach (string s in (ArrayList)domain.GetData("Haustiere")) {
            Console.WriteLine(s);
        }

        // Auf Tastendruck warten
        Console.ReadLine();
	}
}
