using System;
using System.Xml;

public class FindNodesByName
{
	[STAThread]
	private static void Main()
	{
		// Das Dokument laden.
		XmlDocument doc = new XmlDocument();
        doc.Load("ProductCatalog.xml");

        // Alle Preise ermitteln.
		XmlNodeList prices = doc.GetElementsByTagName("productPrice");
		
	
	/*	// Eine Referenz auf das erste Produkt ermitteln.
		XmlNode product = doc.GetElementsByTagName("products")[0];
		// Den ersten Preis unterhalb dieses Produktes finden.
		XmlNode price = ((XmlElement)product).GetElementsByTagName("productPrice")[0];
		Console.WriteLine("Der Preis lautet " + price.InnerText);
    */
        
		decimal totalPrice = 0;
        foreach (XmlNode price in prices)
		{
			// Den inneren Text des gefundenen Elementes finden:
			totalPrice += Decimal.Parse(price.ChildNodes[0].Value);
		}
		
		Console.WriteLine("Gesamt-Katalogpreis: " + totalPrice.ToString());	
        Console.ReadLine();
	}
}