using System;
using System.Runtime.InteropServices;
using Microsoft.VisualBasic;

public class BeepTest
{

	[DllImport("kernel32.dll")]
	private static extern bool Beep(int freq, int dur);
	
	/// <summary>
	/// The main entry point for the application.
	/// </summary>
	[STAThread]
	private static void Main(string[] args)
	{
		// Einen 440 Hz-Ton fr die Dauer von 100 Millisekunden ber den internen Lautsprecher ausgeben.
		Console.WriteLine("Win32-API-Signaltest.");
		Beep(440, 100);
		Console.ReadLine();			

		// Den System-Standardton abspielen (eine WAV-Audiodatei).
		Console.WriteLine("VB-Signaltest.");
		Interaction.Beep();
		Console.ReadLine();			
	}
}