using System;
using System.IO;

public class WildcardTest
{
	private static void Main(string[] args)
	{
		if (args.Length < 2)
		{
			Console.WriteLine("Verwendung:  WildcardTest [Verzeichnis] [Filterausdruck]");
			return;
		}

		DirectoryInfo dir = new DirectoryInfo(args[0]);
		FileInfo[] files = dir.GetFiles(args[1]);
        
		// Die Namen aller Dateien anzeigen.
		foreach (FileInfo file in files)
		{
			Console.Write("Name: " + file.Name + "  ");
			Console.WriteLine("Gre: " + file.Length.ToString());
		}

		Console.ReadLine();
	}
}