using System;
using SQLDMO;

public class SQLDMOExample {

    public static void Main() {

        // Eine Liste der verfgbaren SQL Server abrufen.
        SQLDMO.Application app = new SQLDMO.Application();
        SQLDMO.NameList names = app.ListAvailableSQLServers();

        // Die NameList-Auflistung verarbeiten.
        if (names.Count == 0) {

            Console.WriteLine("Keine SQL Server im Netzwerk gefunden.");

        } else {

            // Eine Liste der verfgbaren SQL Server anzeigen.
            Console.WriteLine("Gefundene SQL Server: " + names.Count);

            foreach (string name in names) {

                Console.WriteLine("  Name : " + name);
            }
        }

        // Auf Tastendruck warten.
        Console.ReadLine();
    }
}
