using System;
using System.Reflection;
using System.Collections;
using System.Security.Policy;

public class ViewEvidenceExample {

    public static void Main(string[] args) {
            	
        // Die angegebene Assembly laden. 	
        Assembly a = Assembly.LoadFrom(args[0]);
    	
        // Die Evidence-Auflistung aus der
        // geladenen Assembly abrufen.
        Evidence e = a.Evidence;
				
        // Den Host-Beweisanzeichen.
        IEnumerator x = e.GetHostEnumerator();		
        Console.WriteLine("HOST-Beweis-Auflistung:");
        while(x.MoveNext()) {
            Console.WriteLine(x.Current.ToString());
        }

        // Den Assembly-Beweis anzeigen.
        x = e.GetAssemblyEnumerator();		
        Console.WriteLine("ASSEMBLY-Beweis-Auflistung:");
        while(x.MoveNext()) {
            Console.WriteLine(x.Current.ToString());
        }

        // Auf Tastendruck warten.
        Console.ReadLine();
    }
}
