using System;
using System.Text;
using System.Security.Cryptography;

public class HashPasswordExample {
    
    public static void Main(string[] args) {

        // Den HashAlgorithmus erstellen, der mit dem ersten
        // Befehlszeilenargument angegeben wird.
        using (HashAlgorithm hashAlg = HashAlgorithm.Create(args[0])) {

            // Die mit dem zweiten Befehlszeilenargument angegebene Kennwortzeichenfolge
            // in ein Byte-Array konvertieren.
            byte[] pwordData = Encoding.Default.GetBytes(args[1]);
    
            // Den Hashcode des Kennworts generieren.
            byte[] hash = hashAlg.ComputeHash(pwordData);
    
            // Den Hashcode des Kennworts im Konsolenfenster anzeigen.
            Console.WriteLine(BitConverter.ToString(hash));
        }

        // Auf Tastendruck warten.
        Console.ReadLine();
    }
}
