using System;
using System.Runtime.Remoting;
using System.Data;
using RemoteObject;

namespace Client
{
	public class Client
	{
		private static void Main()
		{
			// Die remote-fhigen Klassen registrieren.
			RemotingConfiguration.Configure("Client.exe.config");
			
			// ( Nun fhren alle Versuche, die Klasse RemoteObjects.RemoteObject zu instanziieren,
			// zur Erstellung eines Proxy-Objekts fr die Remote-Instanz.)

	            // Mit dem Remote-Objekt ber einen Proxy interagieren.
			ProductsDB proxy = new ProductsDB();
        
			// Den Namen der Host-Anwendungsdomne anzeigen,
			// in der das Objekt ausgefhrt wird.
			Console.WriteLine("Object executing in: " + proxy.GetHostLocation());

			// Das DataSet abrufen und seine Inhalte anzeigen.
			DataTable dt = proxy.GetProducts();
        
			foreach (DataRow row in dt.Rows)
			{
				Console.WriteLine(row[1]);
			}
			
			Console.ReadLine();
		}
	}
}
