using System.Windows.Forms;

public class WillkommenForm : Form {

    // Private Membervariablen fr den Zugriff auf die Steuerelemente der Form.
    private Label label1;
    private TextBox textBox1;
    private Button button1;

    // Konstruktor zur Erzeugung einer Instanz der Form und zur Konfiguration
    // ihrer Steuerelemente
    public WillkommenForm() {

	// Instanziieren der Steuerelemente, die in der Form genutzt werden.
        this.label1 = new Label();
        this.textBox1 = new TextBox();
        this.button1 = new Button();

        // Unterbrechung der Layoutlogik der Form, whrend wir die Steuerelemente 
        // positionieren und konfigurieren.
        this.SuspendLayout();

        // Konfigurieren der Bezeichnung label1,  
        // welche die Eingabeaufforderung anzeigt.
        this.label1.Location = new System.Drawing.Point(16, 36);
        this.label1.Name = "label1";
        this.label1.Size = new System.Drawing.Size(128, 16);
        this.label1.TabIndex = 0;
        this.label1.Text = "Bitte geben Sie Ihren Namen ein:";

        // Konfigurieren des Textfeldes textBox1, das Benutzereingaben entgegennimmt.
        this.textBox1.Location = new System.Drawing.Point(152, 32);
        this.textBox1.Name = "textBox1";
        this.textBox1.TabIndex = 1;
        this.textBox1.Text = "";

        // Konfigurieren der Schaltflche button1, welche der Benutzer bettigt,  
 	// um seinen Namen einzutragen.
        this.button1.Location = new System.Drawing.Point(109, 80);
        this.button1.Name = "button1";
        this.button1.TabIndex = 2;
        this.button1.Text = "Enter";
        this.button1.Click += new System.EventHandler(this.button1_Click);

        // Konfigurieren von WillkommenForm und hinzufgen der Steuerelemente.
        this.ClientSize = new System.Drawing.Size(292, 126);
        this.Controls.Add(this.button1);
        this.Controls.Add(this.textBox1);
        this.Controls.Add(this.label1);
        this.Name = "form1";
        this.Text = "C#-Programmierkochbuch";

        // Fortsetzen der Layoutlogik der Form, da nun alle 
        // Steuerelemente konfiguriert sind.
        this.ResumeLayout(false);    
    }

    // Einstiegspunkt der Anwendung, erstellen einer Instanz der Form und Starten
    // der Standardmeldungsschleife des aktuellen Threads. Die Meldungsschleife
    // versorgt die Anwendung mit den Benutzereingaben in Form von Ereignissen.
    public static void Main() {

        Application.Run(new WillkommenForm());
    }

    // Ereignisbehandlungsroutine, wird aufgerufen wenn der Benutzer die Eingabe-
    // Schaltflche bettigt.
    private void button1_Click(object sender, System.EventArgs e) {

        // Schreibe Debug-Meldung in die Konsole
        System.Console.WriteLine("Benutzereingabe: " + textBox1.Text);

        // Anzeigen der Begrung im Meldungsfeld
        MessageBox.Show("Herzlich Willkommen im C#-Programmierkochbuch, " 
            + textBox1.Text, "C#-Programmierkochbuch");
    }
}
