using System.IO;
using System.Collections;
using System.Runtime.Serialization.Formatters.Binary;

public class BinarySerializationExample {

    public static void Main() {
        
        // Erstellen und Konfigurieren der zu serialisierenden Array-Liste
        ArrayList people = new ArrayList();
        people.Add("Graeme");
        people.Add("Lin");                    
        people.Add("Andy");

        // Serialisieren des ArrayList-Objektes
        FileStream str = File.Create("people.bin");
        BinaryFormatter bf = new BinaryFormatter();
        bf.Serialize(str, people);
        str.Close();
        
        // Deserialisieren des ArrayList-Objektes
        str = File.OpenRead("people.bin");
        bf = new BinaryFormatter();
        people = (ArrayList)bf.Deserialize(str);
        str.Close();
        
        // Anzeigen des Inhalts des deserialisierten ArrayList-Objektes
        foreach (string s in people) {
            
            System.Console.WriteLine(s);
        }

		// Auf Tastendruck warten...
		System.Console.ReadLine();
    }   
}
