using System.IO;
using System.Collections;
using System.Runtime.Serialization.Formatters.Soap;

public class SoapSerializationExample {

    public static void Main() {
        
        // Erstellen und Konfigurieren der zu serialisierenden Array-Liste
        ArrayList people = new ArrayList();
        people.Add("Graeme");
        people.Add("Lin");                    
        people.Add("Andy");

        // Serialisieren des ArrayList-Objektes
        FileStream str = File.Create("people.xml");
        SoapFormatter sf = new SoapFormatter();
        sf.Serialize(str, people);
        str.Close();
        
        // Deserialisieren des ArrayList-Objektes
        str = File.OpenRead("people.xml");
        sf = new SoapFormatter();
        people = (ArrayList)sf.Deserialize(str);
        str.Close();
        
        // Anzeigen des Inhalts des deserialisierten ArrayList-Objektes
        foreach (string s in people) {
            
            System.Console.WriteLine(s);
        }

		// Auf Tastendruck warten...
		System.Console.ReadLine();
    }   
}
