using System;

[Author("Lena")]
[Author("Allen", Unternehmen = "Principal Objective Ltd.")]
public class AbfrageBenAttributeBeispiel.cs {

    public static void Main() {

        // Abrufen eines Type-Objekts fr diese Klasse. 
        Type type = typeof(AbfrageBenAttributeBeispiel);

		// Abrufen der Attribute dieses Typs. Anwenden eines Filters,
		// so dass nur AutorenAttribute-Attribute zurckgegeben werden.
        object[] attrs = 
            type.GetCustomAttributes(typeof(AutorenAttribut), true);

        // Attribute sequenziell verarbeiten, um Informationen anzuzeigen.
        foreach (AuthorAttribute a in attrs) {
            Console.WriteLine(a.Name + ", " + a.Unternehmen);
        }

        // Auf Tastendruck warten
        Console.ReadLine();
    }
}
