using System;

[AttributeUsage(AttributeTargets.Class | AttributeTargets.Assembly,
     AllowMultiple = true, Inherited = false)]
public class AutorenAttribut : System.Attribute {
	
    private string unternehmen; // Unternehmen des Erstellers
    private string name;    // Name des Erstellers

    // Deklarieren eines ffentlichen Konstruktors
    public AutorenAttribut(string name) {
        this.name = name;
        unternehmen = "";
    }

    // Deklarieren einer Eigenschaft, um das Unternehmen-Feld abzufragen
    // oder zu setzten.
    public string Unternehmen {
        get { return unternehmen; }
        set { unternehmen = value; }
    }

    // Deklarieren einer Eigenschaft, um das interne Feld anzufragen.
    public string Name{
        get { return name;}
    }
}