using System;
using System.Xml;

public class SelectNodesByNamespace
{
	[STAThread]
	private static void Main()
	{
		// Das Dokument laden
		XmlDocument doc = new XmlDocument();
		doc.Load("Order.xml");

		// Alle Bestellungs-Markierungen ermitteln.
		XmlNodeList matches = doc.GetElementsByTagName("*", "http://mycompany/OrderML");

		// Alle Informationen anzeigen.
		Console.WriteLine("Element \tAttribute");
		Console.WriteLine("******* \t*********");
		foreach (XmlNode node in matches)
		{
			Console.Write(node.Name + "\t");
			foreach (XmlAttribute attribute in node.Attributes)
			{
				Console.Write(attribute.Value + "  ");
			}
			Console.WriteLine();
		}

		Console.ReadLine();
	}
}