using System;
using System.Xml;

public class XPathSelectNodes
{
	[STAThread]
	private static void Main()
	{
		// Das Dokument laden.
		XmlDocument doc = new XmlDocument();
		doc.Load("orders.xml");

		// Den Namen jedes Elements ermitteln.
		// Ein einfachsten kann das mit der GetElementsByTagName-Methode erreicht werden,
		// da Name-Elemente in Item-Elementen und Client-Elementen verwendet werden,
		// und darum knnen beide Typen zurckgeliefert werden.
		XmlNodeList nodes = doc.SelectNodes("/Order/Items/Item/Name");
        
		foreach (XmlNode node in nodes)
		{
			Console.WriteLine(node.InnerText);
		}
    
		Console.ReadLine();
	}
}
