using System;
using System.IO;

public class Attributes
{
	private static void Main()
	{
		// Diese Datei hat die Attribute Archiv und Schreibgeschtzt.
		FileInfo file = new FileInfo("data.txt");
		
		// Zeigt die Zeichenfolge "ReadOnly, Archive" an.
		Console.WriteLine(file.Attributes.ToString());
		
		// Dieser Test fllt negativ aus, weil andere Attribute gesetzt sind.
		if (file.Attributes == FileAttributes.ReadOnly)
		{
			Console.WriteLine("Datei ist schreibgeschtzt (falscher Test).");
		}

        // Dieser Test ist erfolgreich, da er nur das Attribut Schreibgeschtzt berprft..
        if ((file.Attributes & FileAttributes.ReadOnly) ==
			FileAttributes.ReadOnly)
		{
			Console.WriteLine("Datei ist schreibgeschtzt (richtigerTest).");
		}

		Console.ReadLine();
	}
}