using System;
using System.Diagnostics;

public class VersionInfo
{
	private static void Main(string[] args)
	{
		if (args.Length == 0)
		{
			Console.WriteLine("Bitte geben Sie einen Dateinamen an.");
			return;
		}

        FileVersionInfo info = FileVersionInfo.GetVersionInfo(args[0]);

        // Versionsinformationen anzeigen.
        Console.WriteLine("berprfe Datei: " + info.FileName);
        Console.WriteLine("Produktname: " + info.ProductName);
        Console.WriteLine("Produktversion: " + info.ProductVersion);
        Console.WriteLine("Firma: " + info.CompanyName);
        Console.WriteLine("Dateiversion: " + info.FileVersion);
        Console.WriteLine("Dateibeschreibung: " + info.FileDescription);
        Console.WriteLine("Ursprnglicher Dateiname: " + info.OriginalFilename);
        Console.WriteLine("Copyright: " + info.LegalCopyright);
        Console.WriteLine("InternalName: " + info.InternalName);
        Console.WriteLine("IsDebug: " + info.IsDebug);
        Console.WriteLine("IsPatched: " + info.IsPatched);
        Console.WriteLine("IsPreRelease: " + info.IsPreRelease);
        Console.WriteLine("IsPrivateBuild: " + info.IsPrivateBuild);
        Console.WriteLine("IsSpecialBuild: " + info.IsSpecialBuild);
    
		Console.ReadLine();

	}
}