using System;
using System.IO;

public class RelativeDirTest
{
	private static void Main()
	{
		Console.WriteLine("Verwendetes Verzeichnis: " + Directory.GetCurrentDirectory());
		
		Console.WriteLine("Der relative Pfad 'file.txt' " +
		    "wird automatisch zu: '" + 
			Path.GetFullPath("file.txt") + "'");

		Console.WriteLine();

        Console.WriteLine("Aktuelles Verzeichnis wechseln. Aktuelles Verzeichnis ist nun c:\\");
		Directory.SetCurrentDirectory("c:\\");
		
		Console.WriteLine("Der relative Pfad 'file.txt' " +
			"wird nun automatisch zu: '" +
			Path.GetFullPath("file.txt") + "'");

		Console.ReadLine();
	}
}