using System.Net;
using System.Security.Permissions;

// Anforderung einer SocketPermission-Berechtigung, die es
// dem Code ermglicht, eine TCP-Verbindung zum angegebenen Host und
// Anschluss zu ffnen.
[assembly:SocketPermission(SecurityAction.RequestMinimum, 
    Access = "Connect", Host = "www.fabrikam.com",
    Port = "3538", Transport = "Tcp")]

// Anforderung des UnmanagedCode-Elements der Berechtigung
// SecurityPermission. Dieses Element bestimmt, ob der Code nicht verwalteten
// Code ausfhren kann.
[assembly:SecurityPermission(SecurityAction.RequestMinimum, 
    UnmanagedCode = true)]

public class PermissionRequestExample {

    public static void Main() {   
        // Etwas tun...
    }
}