using System.Net;
using System.Security.Permissions;

// Mindestberechtigungsanforderung fr SocketPermission. 
[assembly:SocketPermission(SecurityAction.RequestMinimum, 
    Unrestricted = true)]

// Optionale Anforderung der Berechtigung SecurityPermission.
[assembly:SecurityPermission(SecurityAction.RequestOptional,
    Unrestricted = true)]

// Anforderung von FileIOPermission verweigern.
[assembly:SecurityPermission(SecurityAction.RequestRefuse, 
    Unrestricted = true)]

public class PermissionViewExample {
    public static void Main() {   
        // Etwas tun...
    }
}