public class IsGrantedExample {

    public static void Main() {
        
        // Eine Variable definieren, die anzeigt, ob die Assembly ber das
        // Recht verfgt, in den Ordner C:\Data zu schreiben.
        bool canWrite = false;
        
        // Ein FileIOPermission-Objekte erstellen und konfigurieren, das das
        // Recht reprsentiert, in den Ordner C:\Data zu schreiben.
        System.Security.Permissions.FileIOPermission fileIOPerm = 
            new System.Security.Permissions.FileIOPermission(
                System.Security.Permissions.FileIOPermissionAccess.Write, @"C:\Data");
                
        // berprfen, ob die aktuelle Assembly ber die angegebene Berechtigung verfgt.
        canWrite = System.Security.SecurityManager.IsGranted(fileIOPerm);
        
        // Ergebnis im Konsolenfenster ausgeben.
        System.Console.WriteLine(@"Can write to C:\Data? - {0}", canWrite);

        // Auf Tastendruck warten.
        System.Console.ReadLine();
    }
}