using System;

namespace Recipe15_08
{
	public class OptionalParameters
	{
		private static object n = Type.Missing;
		private static void Main()
		{
			// Word im Hintergrund starten.
			Word.ApplicationClass app = new Word.ApplicationClass();
			app.DisplayAlerts = Word.WdAlertLevel.wdAlertsNone;
            
			// Ein neues Dokument (fr den Benutzer nicht sichtbar) erstellen.
			Word.Document doc = app.Documents.Add(ref n, ref n, ref n, ref n);

			Console.WriteLine();
			Console.WriteLine("Erstelle neues Dokument.");
			Console.WriteLine();
			
			// Eine berschrift und zwei Textzeilen hinzufgen.
			Word.Range range = doc.Paragraphs.Add(ref n).Range;
			range.InsertBefore("Testdokument");
			string style = "berschrift 1";
			object objStyle = style;
			range.set_Style(ref objStyle);
            
			range = doc.Paragraphs.Add(ref n).Range;
			range.InsertBefore("Zeile 1.\nZeile 2.");
			range.Font.Bold = 1;

			// Word und eine Druckvorschau anzeigen.
			doc.PrintPreview();
			app.Visible = true;

			Console.ReadLine();
		}
	}
}
