using System;
using System.Collections;

public class VariableExample {

    public static void Main () {

        // Eine benannte Umgebungsvariable abrufen.
        Console.WriteLine("Pfad = " + 
            Environment.GetEnvironmentVariable("Path"));
		Console.WriteLine();

        // Die Namen der Umgebungsvariablen durch deren Werte ersetzen.
        Console.WriteLine(Environment.ExpandEnvironmentVariables(
                "Der Pfad auf %computername% ist %Path%"));
		Console.WriteLine();

        // Alle Umgebungsvariablen abrufen und die Werte der Variablen anzeigen,
        // deren Namen mit dem Buchstaben 'P' beginnen.
        IDictionary vars = Environment.GetEnvironmentVariables();
        foreach (string s in vars.Keys) {
            if (s.ToUpper().StartsWith("P")) {
                Console.WriteLine(s + " = " + vars[s]);
            }
        }
		Console.WriteLine();

        // Auf Tastendruck warten.
        Console.WriteLine("Main-Methode beendet. Drcken Sie Enter.");
        Console.ReadLine();
    }
}
