using System.ServiceProcess;
using System.Configuration.Install;
using System.ComponentModel;

[RunInstaller(true)]
public class ServiceInstallerExample : Installer {
	
    public ServiceInstallerExample() {
		
        // ServiceProcessInstaller instanziieren und konfigurieren.
        ServiceProcessInstaller ServiceExampleProcess = 
            new ServiceProcessInstaller();
        ServiceExampleProcess.Account = ServiceAccount.LocalSystem;
	
        // ServiceInstaller instanziieren und konfigurieren.
        ServiceInstaller ServiceExampleInstaller = 
            new ServiceInstaller();
        ServiceExampleInstaller.DisplayName = 
            "C#-Programmierrezepte Dienstbeispiel";
        ServiceExampleInstaller.ServiceName = "ServiceExample";
        ServiceExampleInstaller.StartType = ServiceStartMode.Automatic;	
	
        // Sowohl ServiceProcessInstaller als auch ServiceInstaller zur
        // Installers-Auflistung hinzufgen, die von der Installer-Basisklasse
        // abgeleitet ist.
        Installers.Add(ServiceExampleInstaller);
        Installers.Add(ServiceExampleProcess);
    }
}
